/*->h.constants */

/* file types */

#define FTYPE  0xCDD
#define STYPE  0xCDC
#define OBEY   0xFEB
#define EXEC   0xFFE
#define DATA   0xFFD
#define TEXTFILE   0xFFF
#define DRAW   0xAFF
#define SPRITE 0xFF9
#define FWP    0xAF8

#define JPEG   0xC85
#define TIFFTYPE 0xFF0
#define CLEAR  0x690
#define GIF    0x695
#define MTV    0x699
#define PBM    0x69E
#define BMP    0x69C
#define PCX    0x697
//#define EPS    0xFF5
#define PNG    0xB60
#define ICO    0x132


#define PAL    0xFED


#define WMFTYPE  0x100
#define EMFTYPE  0x101
#define PMFTYPE  0x102
#define CXFTYPE  0x103


/* event numbers */

#define EVENT_FOPEN  0x1
#define EVENT_FCLOSE 0x2

#define EVENT_RUNPROGRAM 0x3
#define EVENT_ENDPROGRAM 0x4

#define EVENT_VOPEN  0x5
#define EVENT_VCLOSE 0x6

#define EVENT_CONFIGLOADED 0x7


#define EVENT_FRAMEMODDED    0x100
#define EVENT_FRAMEPALMODDED 0x101
#define EVENT_FRAMERESMODDED 0x102

